
<html>
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <script type="text/javascript">
            const channel = new window.BroadcastChannel('channel1')

            channel.onmessage = (msg)=>{
                const elm = document.getElementById('app')
                elm.innerHTML += msg
                console.log(msg)
            }

            const sendData = () => {
                channel.postMessage('detta är ett test')
            }
        </script>
    </head>
    <body style="margin: 0; overflow: hidden;">

        <!-- <div style="height: 50%"> -->
        <div id="app"></div>
        <button onclick="sendData">test</button>
    </body>
</html> 